type RobotsTxt = {
    type: "RobotsTxt";
    configs: Config[];
    sitemap: string | undefined;
};
type Config = {
    type: "Config";
    userAgents: string[];
    rules: Rule[];
};
type Rule = {
    type: "DisallowRule" | "AllowRule" | "CrawlDelayRule";
    value: string;
};
/**
 * Grammar:
 *
 * RobotsTxt
 *  : ConfigList
 *  | Sitemap
 *  ;
 *
 * ConfigList:
 *  : Config
 *  | ConfigList Config
 *  ;
 *
 * Config:
 *  : UserAgentList
 *  | RuleList
 *  ;
 *
 * UserAgentList
 *  : UserAgent
 *  | UserAgentList UserAgent
 *  ;
 *
 * RuleList
 *  : Rule
 *  | RuleList Rule
 *  ;
 */
export declare function parse(txt: string): RobotsTxt;
export {};
